<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  echo '<p>
    <form action="iban_ajouter.php" method=post>
    
    <div><h4 class="titre">Ajouter un Numéro de Compte Bancaire International (IBAN)</h4></div>';
    
    if(isset($iban))
    {
		if($TrouvePays == true){ // pays correct
			if ( strlen($iban) == $LongueurIban ){ //longueur correcte
				if(true != $valid){ //vérification incorrecte
                	echo "<p class='info'>L'IBAN n'est pas valide selon l' <a href='http://www.ecbs.org/'>European Committee for Banking Standards (ECBS)</a> : $ibanverif Modulo 97 = '".bcmod($ibanverif, '97')."' au lieu de '1'.</p>";
                }
            }else{	
				echo "<p class='info'>L'IBAN a une longueur de <strong>".strlen($iban)."</strong> caractères alors qu'il doit avoir une longueur de <strong>".$LongueurIban."</strong> ($TNomPays[$j]).</p>";
      		}
      	}else{
        	echo "<p class='info'>Le pays de l'IBAN n'est pas enregistré auprès de l'<strong>European Committee for Banking Standards</strong> (ECBS).</p>";
      	}
    }
        
        echo '
    <table>
      <tr>
        <td width="50px">IBAN :</td>
        <td><input type="char" name="iban" id="iban" size="47" ';
          if(isset($iban)){ echo ' value="'.$iban.'" ';} echo '/> </td>
                 <td><input type="submit" value="Ajouter" />
      </tr>
    </table>
    
    </form>
    </p>';
        
        
        //Affiche tous les iban appartenant au client de la session
        
    $requete="Select * from freepay_iban where mailcli = '".$_SESSION["mailcli"]."' order by iban;";
    $resultat = mysql_query($requete,$connexion); //connexion de la requete
    $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
    
    
    if (!empty($ligne))
    {
      if ($connexion)// si connexion à la base réussi
      {	
        echo "
         <h4 class='titre' onclick='change_affiche()'>Afficher vos Numéros de Compte Bancaire International (IBAN)</h4>
          
          <div id='InfoTable' style='display:none;'>";
          
          while($ligne) //titre des champs
          {   
            include("iban_afficher.php"); // affiche le descriptif détailé de l'IBAN
            $ligne=mysql_fetch_assoc($resultat);
          }
          
          echo "</div>
          <script type='text/javascript' src='../change_affiche.js'> </script> ";
        
      }
    }
    
    //Focus sur le champs du numero iban en javascript
    echo '<script type="text/javascript">document.getElementById("iban").focus();</script>';
    
    // vérifier la validité du numéro iban ( a faire)
    
?>
